$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-97e26f9d6cfcae258c0efc4d4371000ec208570d/rpcs3-v0.0.12-10921-97e26f9d_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '3172b1de370d26e51fa497d8389e0f258977a771807b21845a4a953993127c5f'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
